<?php
class PrincipalController {
  public function login() {
    require '../App/Views/LoginView.php';
  }

  public function authenticate() {
    $controller = new LoginController();
    $controller->authenticate();
  }

  public function register() {
    require '../App/Views/RegisterView.php';
  }

  public function storeUser() {
    $controller = new RegisterController();
    $controller->storeUser();
  }

  public function dashboard() {
    $controller = new DashboardController();
    $controller->show();
  }

  public function profil() {
    $controller = new ProfilController();
    $controller->show();
  }

  public function logout() {
    $controller = new LogoutController();
    $controller->logout();
  }
}
?>